National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2009-4100 Detail

Current Description

Yoono extension before 6.1.1 for Firefox performs certain operations with chrome privileges, which allows user-assisted remote attackers to execute arbitrary commands and perform cross-domain scripting attacks via DOM event handlers such as onload.

Source:  MITRE
View Analysis Description

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score
NIST: NVD
Base Score: N/A
NVD score not yet provided.

Evaluator Impact

Per info from the following advisory: http://www.net-security.org/secworld.php?id=8527 Raised the score to CIA:complete NVD received information from Yoono development team on December 4, 2009 that the affected versions are in fact 6.1.0 and previous. NVD adjusted affected versions accordingly because of this new information.

Evaluator Solution

NVD received information from Yoono development team on December 4, 2009 that the fixed version is in fact 6.1.1. A patch can be found at the following URL: https://addons.mozilla.org/en-US/firefox/addons/versions/1833

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://www.net-security.org/secworld.php?id=8527
http://www.securityfocus.com/bid/37123
http://www.vupen.com/english/advisories/2009/3326 Vendor Advisory
https://addons.mozilla.org/en-US/firefox/addons/versions/1833#version-6.1.1
https://exchange.xforce.ibmcloud.com/vulnerabilities/54417

Weakness Enumeration

CWE-ID CWE Name Source
CWE-20 Improper Input Validation NIST  

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:yoono:yoono:2.0.2.474:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:2.0.3.564:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:2.0.4.641:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:2.1.0.743:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:2.2.1.1038:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:3.0.0.1268:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:3.0.0.1270:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:3.0.1.1388:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:3.0.2.1976:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:3.0.3.2369:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:3.0.4.2469:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:3.0.5.2626:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:3.0.6.2723:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:3.1.0.2898:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:3.1.1.2999:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:4.0.0.4529:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:4.0.1.4774:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:4.0.2.5149:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:4.0.3.5488:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:5.0.1.11511_11520:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:5.0.3:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:5.0.4:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:5.0.5:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:5.0.6:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:5.0.7:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:5.0.7.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:5.1.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:5.2.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:5.3.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:5.4.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:6.0.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:6.0.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:yoono:yoono:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (including)
6.1.0
Running on/with
 cpe:2.3:a:mozilla:firefox:*:*:*:*:*:*:*:*
     Show Matching CPE(s)


Change History

2 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2009-4100
NVD Published Date:
11/29/2009
NVD Last Modified:
08/16/2017